This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.193. __nv_j0

Prototype:

    double @__nv_j0(double %x)

Description:

Calculate the value of the Bessel function of the first kind of order 0 for the input argument `x`, J 0 ( x ) .

Returns:

Returns the value of the Bessel function of the first kind of order 0.

- __nv_j0( ± ∞ ) returns +0.

- __nv_j0(NaN) returns NaN.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes